//! HAL for the MSP432 family of microcontrollers
//!
//! This is an implementation of the [`embedded-hal`] traits for the MSP432 family of
//! microcontrollers.
//!
//! [`embedded-hal`]: https://github.com/japaric/embedded-hal
//!
//! # Usage
//!
//! To build applications (binary crates) using this crate follow the [cortex-m-quickstart]
//! instructions and add this crate as a dependency in step number 5 and make sure you enable the
//! "rt" Cargo feature of this crate.
//!
//! [cortex-m-quickstart]: https://docs.rs/cortex-m-quickstart/~0.3

#![warn(missing_docs)]
#![no_std]

extern crate embedded_hal as hal;
extern crate msp432p401r as pac;

pub mod prelude;
pub mod bitband;
pub mod gpio;
pub mod delay;
pub mod cs;
pub mod time;
